import javax.swing.*;
import java.io.File;
import java.awt.BorderLayout;
import java.awt.event.*;
import javax.swing.filechooser.*;

public class JFileChooserTest14 extends JFrame implements ActionListener{

  JLabel label;

  public static void main(String[] args){
    JFileChooserTest14 frame = new JFileChooserTest14();

    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.setBounds(10, 10, 300, 200);
    frame.setTitle("^Cg");
    frame.setVisible(true);
  }

  JFileChooserTest14(){
    JButton button = new JButton("file select");
    button.addActionListener(this);

    JPanel buttonPanel = new JPanel();
    buttonPanel.add(button);

    label = new JLabel();

    JPanel labelPanel = new JPanel();
    labelPanel.add(label);

    getContentPane().add(labelPanel, BorderLayout.CENTER);
    getContentPane().add(buttonPanel, BorderLayout.PAGE_END);
  }

  public void actionPerformed(ActionEvent e){
    JFileChooser filechooser = new JFileChooser("c:\\temp");
    FileFilter filter1 = 
      new FileNameExtensionFilter("HTMLt@C", "html", "htm");
    FileFilter filter2 = 
      new FileNameExtensionFilter("eLXgt@C", "txt");
    filechooser.addChoosableFileFilter(filter1);
    filechooser.addChoosableFileFilter(filter2);
    filechooser.setAcceptAllFileFilterUsed(false);

    int selected = filechooser.showOpenDialog(this);
    if (selected == JFileChooser.APPROVE_OPTION){
      File file = filechooser.getSelectedFile();
      label.setText(file.getName());
    }
  }
}
